Documentation Center

Create or Update a Global Configuration Item

Creates or updates a global configuration item.

The values of some global configuration items (such as the application skin and application language) are store in user's sessions. Therefore users who are currently logged in may not see the change in value until they have logged out and logged back in.

Request

URI: /v2/config/{item_name}

HTTP Method: PUT

Header params:
  • Accept: [application/json] OR [application/xml]
  • Content-Type: [application/json] OR [application/xml]
PATH Parameter(s):
  • item_name: The name of the global configuration item to create or update. Used to identify the request on the server. Actual value never used.
Request Body:
  • XML: <configitem name="app.example" value="example value"/>
  • JSON: {"name":"app.example", "value":"example value"}

Response

Success
  • XML: <result statusCode="0" status="SUCCESS" messageKey="Action = add config item" message="Action = add config item"/>
  • JSON: {"statusCode":0,"messageKey":"Action = add config item", "message":"Action = add config item", "status":"SUCCESS", "info":[]}
Failed
  • XML: <result statusCode="500" status="FAIL" messageKey="Failed, Action add config item" message="Failed, Action add config item."/>
  • JSON: {"statusCode":500,"messageKey":"Failed, Action add config item", "message":"Failed, Action add config item", "status":"FAIL", "info":[]}

Permissions

"Manage application"

Example

Request:

PUT http://example.corp:8080/LiveContent/v2/config/app.example

Accept: applicaton/xml

Content-Type: applicaton/xml

Request Body: <configitem name="app.example" value="example value"/>

Response:

{"statusCode":0,"messageKey":"Action = add config item", "message":"Action = add config item", "status":"SUCCESS", "info":[]}